Uploaded image for project: 'XWiki Platform'
  1. XWiki Platform
  2. XWIKI-12050

DW fails to upgrade UI when part of it has been moved on farm

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Duplicate
    • Affects Version/s: 6.4.4
    • Fix Version/s: None
    • Labels:
      None
    • Difficulty:
      Unknown
    • Similar issues:

      Description

      When an extension (ie: File Manager 2.x) has dependencies on standard UI (ie: SOLR Search Application, Sheet UI) and is installed at the farm level, these standard UI dependencies are moved to farm level as well.

      Following the restriction introduced in XCOMMONS-748 (apparently to avoid know bugs in dependency upgrade on farm from a job in a local namespace), the DW is now unable to upgrade a wiki having those standard UI dependencies installed on farm. It fails with a message similar to:

      Dependency [org.xwiki.platform:xwiki-platform-search-solr-ui-6.4.4] is incompatible with installed root extension [org.xwiki.platform:xwiki-platform-search-solr-ui-6.4.3] 
      

      Until this is fixed, the workaround is to manually upgrade all the standard UI module on farm from the EM before proceeding to DW.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                tmortagne Thomas Mortagne
                Reporter:
                softec Denis Gervalle
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Date of First Response: